/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.model;

import java.io.Serializable;

/**
 *
 * @author Imam Bhoim
 */
public class AkunEliminasi implements Serializable {
    
    int tahun;
    String kdpemda;
    String namaprovinsi;
    int kdrek1;
    int kdrek2;
    int kdrek3;
    String kdrek4;
    String kdrek5;
    String dk;
    
    double nilai;
    int idkatpemda;
    int idbas;
    int idjnslaporan;
    String namalaporan;
    int idheaderresipo;
    String namaakunresipo;
    int idjenistransfer;
    String namatransfer;
    String kdeliminasi;
    
    double nilaieliminasi;
    
    String kdperiode;
    
    String namaperiode;
    
    String namaakun;
    
    int idheaderkons;
    
    
    
    // tambahan rian
    private String flag;
    private String flagProses;

    public int getTahun() {
        return tahun;
    }

    public void setTahun(int tahun) {
        this.tahun = tahun;
    }

    public String getKdpemda() {
        return kdpemda;
    }

    public void setKdpemda(String kdpemda) {
        this.kdpemda = kdpemda;
    }

 

   

    public int getKdrek1() {
        return kdrek1;
    }

    public void setKdrek1(int kdrek1) {
        this.kdrek1 = kdrek1;
    }

    public int getKdrek2() {
        return kdrek2;
    }

    public void setKdrek2(int kdrek2) {
        this.kdrek2 = kdrek2;
    }

    public int getKdrek3() {
        return kdrek3;
    }

    public void setKdrek3(int kdrek3) {
        this.kdrek3 = kdrek3;
    }

    public String getKdrek4() {
        return kdrek4;
    }

    public void setKdrek4(String kdrek4) {
        this.kdrek4 = kdrek4;
    }

    public String getKdrek5() {
        return kdrek5;
    }

    public void setKdrek5(String kdrek5) {
        this.kdrek5 = kdrek5;
    }

    public String getDk() {
        return dk;
    }

    public void setDk(String dk) {
        this.dk = dk;
    }

    
    public int getIdkatpemda() {
        return idkatpemda;
    }

    public void setIdkatpemda(int idkatpemda) {
        this.idkatpemda = idkatpemda;
    }

    public int getIdbas() {
        return idbas;
    }

    public void setIdbas(int idbas) {
        this.idbas = idbas;
    }

    public int getIdjnslaporan() {
        return idjnslaporan;
    }

    public void setIdjnslaporan(int idjnslaporan) {
        this.idjnslaporan = idjnslaporan;
    }

    public int getIdheaderresipo() {
        return idheaderresipo;
    }

    public void setIdheaderresipo(int idheaderresipo) {
        this.idheaderresipo = idheaderresipo;
    }

    public int getIdjenistransfer() {
        return idjenistransfer;
    }

    public void setIdjenistransfer(int idjenistransfer) {
        this.idjenistransfer = idjenistransfer;
    }

    public String getKdeliminasi() {
        return kdeliminasi;
    }

    public void setKdeliminasi(String kdeliminasi) {
        this.kdeliminasi = kdeliminasi;
    }

    public int getIdheaderkons() {
        return idheaderkons;
    }

    public void setIdheaderkons(int idheaderkons) {
        this.idheaderkons = idheaderkons;
    }

    public String getNamalaporan() {
        return namalaporan;
    }

    public void setNamalaporan(String namalaporan) {
        this.namalaporan = namalaporan;
    }

    public String getNamaakunresipo() {
        return namaakunresipo;
    }

    public void setNamaakunresipo(String namaakunresipo) {
        this.namaakunresipo = namaakunresipo;
    }

    public String getNamatransfer() {
        return namatransfer;
    }

    public void setNamatransfer(String namatransfer) {
        this.namatransfer = namatransfer;
    }

    public String getNamaprovinsi() {
        return namaprovinsi;
    }

    public void setNamaprovinsi(String namaprovinsi) {
        this.namaprovinsi = namaprovinsi;
    }

    public String getNamaakun() {
        return namaakun;
    }

    public void setNamaakun(String namaakun) {
        this.namaakun = namaakun;
    }

  
    public String getKdperiode() {
        return kdperiode;
    }

    public void setKdperiode(String kdperiode) {
        this.kdperiode = kdperiode;
    }

    public double getNilai() {
        return nilai;
    }

    public void setNilai(double nilai) {
        this.nilai = nilai;
    }

    public double getNilaieliminasi() {
        return nilaieliminasi;
    }

    public void setNilaieliminasi(double nilaieliminasi) {
        this.nilaieliminasi = nilaieliminasi;
    }

    public String getNamaperiode() {
        return namaperiode;
    }

    public void setNamaperiode(String namaperiode) {
        this.namaperiode = namaperiode;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlagProses() {
        return flagProses;
    }

    public void setFlagProses(String flagProses) {
        this.flagProses = flagProses;
    }


    
    
    
}
